#include <iomanip>
#include <math.h>
#include <iostream>
using namespace std;
int main()
{
	unsigned long long int broj, kolicina;
	kolicina = 0;
	cin >> broj;
	while (broj != 0)
	{
		switch (broj % 10)
		{
		case 1:
		case 2:
		case 5:
			kolicina++;
			break;
		case 3:
		case 4:
		case 6:
		case 7:
			kolicina += 2;
			break;
		case 8:
		case 9:
			kolicina += 3;
			break;
		default:
			break;
		}
		broj /= 10;
	}
	cout << kolicina;
}